#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	BerkeleyDB
%define		pnam	BerkeleyDB
Summary:	BerkeleyDB - Perl extension for Berkeley DB version 2, 3, 4 or 5
Summary(pl.UTF-8):	BerkeleyDB - rozszerzenie Perla do baz Berkeley DB w wersji 2, 3, 4 lub 5
Name:		perl-BerkeleyDB
Version:	0.52
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/BerkeleyDB/%{pnam}-%{version}.tar.gz
# Source0-md5:	e1031f4cd3062fdb1597af4373789d79
URL:		http://search.cpan.org/dist/BerkeleyDB/
BuildRequires:	db-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module provides an interface to most of the functionality
available in Berkeley DB versions 2, 3, 4 and 5. In general it is safe
to assume that the interface provided here to be identical to the
Berkeley DB interface. The main changes have been to make the Berkeley
DB API work in a Perl way. Note that if you are using Berkeley DB 2.x,
the new features available in Berkeley DB 3.x or DB 4.x are not
available via this module.

%description -l pl.UTF-8
Ten moduł Perla dostarcza interfejs do większości funkcjonalności
dostępnej w bazach danych Berkeley DB w wersji 2, 3, 4 i 5. Można
przyjąć, że ten interfejs jest identyczny z interfejsem Berkeley DB.
Główne zmiany zostały poczynione po to, by API DB działało na sposób
perlowy. W przypadku używania Berkeley DB 2.x nowe możliwości dostępne
dopiero w DB 3.x lub DB 4.x nie będą dostępne poprzez ten moduł.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}" \
	CC="%{__cc}"

# one of tests relies on English locale
%{?with_tests:%{__make} test LC_ALL=C}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/BerkeleyDB.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/BerkeleyDB/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes Todo
%{perl_vendorarch}/BerkeleyDB
%{perl_vendorarch}/BerkeleyDB.pm
%dir %{perl_vendorarch}/auto/BerkeleyDB
%{perl_vendorarch}/auto/BerkeleyDB/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/BerkeleyDB/*.so
%{_mandir}/man3/BerkeleyDB.3pm*
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-BerkeleyDB.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 515bed6
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5facbe9
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f89b8dd
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f7672b5
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> 85d3fdb
- release 2 (by relup.sh)

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 45f49eb
- up to 0.52

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e82a864
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> f29c831
- release 3 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> c7d224c
- Rebuild with DB 5.3
- release 2 (by relup.sh)

* Sun Feb 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 8e04fa1
- updated summaries: db 5 is also supported
- unified Source URL

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 5653364
- up to 0.50

* Sun Dec 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 0a8db64
- updated to 0.43

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> d6a8790
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b01d591
- release 2

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 0384992
- updated to 0.39

* Tue Jan 20 2009 Elan Ruusamäe <glen@pld-linux.org> 704957d
- release 2

* Thu Jun 12 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b9e0f3d
- up to 0.34

* Thu Jun 12 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d89603
- rel 2

* Sun Mar 02 2008 radek <radek@pld-linux.org> bd5413e
- version 0.33

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 893b054
- rel 4

